'use server'

import { getAPIEnv } from "../api/getAPIEnv";

export async function constructAPIUrl(endpoint:string){
    const { schema, host, port, basepath } = await getAPIEnv();
    return `${schema}://${host}:${port}/${basepath}/${endpoint}`
}
export async function constructUrl(endpoint:string){
    const { schema, host, port, basepath } = await getAPIEnv();
    return `${schema}://${host}:${port}/${endpoint}`
}1